#!/bin/bash

#set -e
set -vx

echo -e "*****************************\n* Checkout TS.ITS sources\n*****************************\n"
cd ${HOME}/dev || exit 1

git clone --recurse-submodules https://forge.etsi.org/rep/ITS/TS.ITS.git TS.ITS
cd ./TS.ITS
git checkout devel
BASE_PATH=`pwd`
for i in `find $BASE_PATH/ttcn -type d -name "Ats*"`
do
    cd $i
    git checkout devel
done
for i in `find $BASE_PATH/ttcn/Ats* -type d -name "asn1"`
do
    cd $i
    git checkout testing
    SUB_DIRS=`find . -type d`
    if [ "SUB_DIRS" != "" ]
    then
        for j in $SUB_DIRS
        do
            cd $j
            git checkout testing
            cd -
        done
    fi
done

cd ${HOME}/dev/TS.ITS
if [ ! -f ./titan-test-system-framework ]
then
    git clone --recurse-submodules --branch devel https://labs.etsi.org/rep/cti-tools/titan-test-system-framework.git
    cd ./titan-test-system-framework
else
    cd ./titan-test-system-framework
    git checkout devel
fi
cd ./ttcn/LibHttp
ln -sf module_its.mk module.mk

cd ${HOME}/dev/TS.ITS/ttcn/LibIts
git checkout devel

cd ${HOME}/dev/TS.ITS
cp ./ttcn/patch_lib_common/module.mk ./ttcn/LibCommon/
cp ./ttcn/patch_lib_common/ttcn/* ./ttcn/LibCommon/ttcn

echo -e "*****************************\n* Setup environment\n*****************************\n"
cd ${HOME}
ln -sf ${HOME}/dev/TS.ITS/scripts/devenv.bash.ubuntu ${HOME}/devenv.bash

cd ${HOME}

exit 0
