#!/bin/bash

#set -e
set -vx

echo -e "*****************************\n* Build ETSI ITS certificate generation tools \n*****************************\n"
cd ${HOME}/dev || exit 1

git clone --recurse-submodules https://forge.etsi.org/rep/ITS/itscertgen.git ./itscertgen || exit 1
cd ./itscertgen
sed --in-place 's/DEBUG            = yes/DEBUG            = no/g' ./certgen/Makefile || exit 1
cd cshared && make && cd - || exit 1
cd certgen/ && make && cd - || exit 1

echo -e "*****************************\n* Generate ETSI ITS certificates \n*****************************\n"
cd ${HOME}/dev/TS.ITS/data/certificates
CERTGEN=${HOME}/dev/itscertgen make || exit 1
CERTGEN=${HOME}/dev/itscertgen make install || exit 1
rm -fr temp  xer || exit 1
cd ${HOME}

exit 0

